Package org.firebirdsql.gds.ng.wire.version11

## Class V11Statement

- java.lang.Object
- - org.firebirdsql.gds.ng.AbstractFbStatement
  - - org.firebirdsql.gds.ng.wire.AbstractFbWireStatement
    - - org.firebirdsql.gds.ng.wire.version10.V10Statement
      - - org.firebirdsql.gds.ng.wire.version11.V11Statement

All Implemented Interfaces:
  `FbStatement`, `ExceptionListenable`, `FbWireStatement`

Direct Known Subclasses:
  `V12Statement`

    public class V11Statement
    extends V10Statement

`FbWireStatement` implementation for the version 11 wire protocol.

Since:
  3.0
Author:
  Mark Rotteveel

### Field Summary

### Fields inherited from class org.firebirdsql.gds.ng.AbstractFbStatement

`exceptionListenerDispatcher, statementListenerDispatcher`

### Constructor Summary

Constructors
`V11Statement​(FbWireDatabase database)` Creates a new instance of V11Statement for the specified database.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `free​(int option)` Frees the currently allocated statement (either close the cursor with `ISCConstants.DSQL_close` or drop the statement handle using `ISCConstants.DSQL_drop`.
`void` `prepare​(java.lang.String statementText)` Prepare the statement text.

### Methods inherited from class org.firebirdsql.gds.ng.wire.version10.V10Statement

`doFreePacket, execute, fetchRows, getDefaultSqlInfoSize, getMaxSqlInfoSize, getSqlInfo, processAllocateResponse, processExecuteResponse, processExecuteSingletonResponse, processFetchResponse, processFreeResponse, processInfoSqlResponse, processPrepareResponse, readColumnData, readSqlData, sendAllocate, sendExecute, sendFetch, sendFree, sendInfoSql, sendPrepare, setCursorName, writeColumnData, writeSqlData`

### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractFbWireStatement

`calculateBlr, calculateBlr, close, emptyRowDescriptor, getDatabase, getHandle, getXdrIn, getXdrOut, isValidTransactionClass, setHandle`

### Methods inherited from class org.firebirdsql.gds.ng.AbstractFbStatement

`addExceptionListener, addStatementListener, checkStatementValid, checkStatementValid, closeCursor, closeCursor, createExecutionPlanProcessor, createSqlCountProcessor, ensureClosedCursor, finalize, getAllowedTimeout, getExecutionPlan, getExplainedExecutionPlan, getFieldDescriptor, getParameterDescriptionInfoRequestItems, getParameterDescriptor, getRowDescriptor, getSqlCounts, getSqlInfo, getState, getStatementInfoRequestItems, getStatementWarningCallback, getSynchronizationObject, getTimeout, getTransaction, getTransactionListener, getType, hasFields, hasSingletonResult, isAllRowsFetched, isPrepareAllowed, parseStatementInfo, queueRowData, removeExceptionListener, removeStatementListener, reset, reset, resetAll, setAllRowsFetched, setFieldDescriptor, setParameterDescriptor, setRowDescriptor, setTimeout, setTransaction, setType, signalExecute, signalFetch, switchState, validateParameters`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.ng.listeners.ExceptionListenable

`addExceptionListener, removeExceptionListener`

### Methods inherited from interface org.firebirdsql.gds.ng.FbStatement

`addStatementListener, close, closeCursor, closeCursor, emptyRowDescriptor, ensureClosedCursor, getDatabase, getExecutionPlan, getExplainedExecutionPlan, getFieldDescriptor, getHandle, getParameterDescriptor, getRowDescriptor, getSqlCounts, getSqlInfo, getState, getTimeout, getTransaction, getType, removeStatementListener, setTimeout, setTransaction, validateParameters`

### Constructor Detail

#### V11Statement

    public V11Statement​(FbWireDatabase database)

Creates a new instance of V11Statement for the specified database.

Parameters:
  `database` - FbWireDatabase implementation

### Method Detail

#### prepare

    public void prepare​(java.lang.String statementText)
                 throws java.sql.SQLException

Description copied from interface: `FbStatement`
Prepare the statement text.

If this handle is in state `StatementState.NEW` then it will first allocate the statement.

Specified by:
  `prepare` in interface `FbStatement`
Overrides:
  `prepare` in class `V10Statement`
Parameters:
  `statementText` - Statement text
Throws:
  `java.sql.SQLException` - If a database access error occurs, or this statement is currently executing a query.

#### free

    protected void free​(int option)
                 throws java.sql.SQLException

Description copied from class: `AbstractFbStatement`
Frees the currently allocated statement (either close the cursor with `ISCConstants.DSQL_close` or drop the statement handle using `ISCConstants.DSQL_drop`.

Overrides:
  `free` in class `V10Statement`
Parameters:
  `option` - Free option
Throws:
  `java.sql.SQLException`